Skip to main content
POST
Fetch Analysis (conjoint)

Description

Get conjoint questions analysis.

Payload

where:
  • fromDate: start date in ISO format. (Required).
  • toDate: end date in ISO format. (Required).
  • filter: array of filters to filter the responses. (Optional).
  • groups: Object indexed by question id with a q as prefix. Every key has assigned an array with the question ids with q prefix that are the same question through different concepts inside a concept test. Only needed for project with Concept Test or Question Loops (Optional).

Response

200 OK

where:
  • fromDate: Starting date to filter responses.
  • toDate: End date to filter responses.
  • filter: List of filters used to apply to the constant sum answers.
  • projectId: Id of the project this analysis belongs to.
  • responses: An object indexed by question id prefixed with q.
  • responses.qQuestionID: An object indexed by attribute index associated with an object containing the utility, importance and intercept data for that attribute.
  • responsesByQuestionCounter: An object indexed by question id prefixed with q associated with the number of responses for it.
  • responsesCounter: Total responses used for the conjoint analysis.

400 Bad Request

Missing or invalid fromDate/toDate/projectId fields.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Successful response